package com.czg.product.service;

import com.czg.product.dto.storage.CountStorageDTO;
import com.czg.product.dto.storage.ShopStorageAddDTO;
import com.czg.product.dto.storage.ShopStorageEditDTO;
import com.czg.product.entity.ShopStorageRecord;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import com.czg.product.entity.ShopStorage;

import java.util.List;

/**
 * 用户存酒 服务层。
 *
 * @author zs
 * @since 2025-02-27
 */
public interface ShopStorageService extends IService<ShopStorage> {

    Page<ShopStorage> pageInfo(Long shopId, String key, String phone, Integer status);

    Boolean add(Long shopId, ShopStorageAddDTO shopStorageAddDTO);

    Boolean edit(Long shopId, ShopStorageEditDTO shopStorageEditDTO);

    List<ShopStorageRecord> getRecord(Long shopId, Integer id);

    List<CountStorageDTO> countRecord(Long shopId);

}
